Execute catalog activation plan
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "<string>",
"adcpAgentIds": [],
"dryRun": false
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute"
payload = {
"planId": "<string>",
"adcpAgentIds": [],
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({planId: '<string>', adcpAgentIds: [], dryRun: false})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"plan": {
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"planHash": "<string>",
"itemCount": 4503599627370495,
"campaignGroups": [
{
"key": "<string>",
"name": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495,
"budget": {
"amount": 1,
"currency": "<string>"
}
}
],
"creativeAssets": [
{
"key": "<string>",
"prompt": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495
}
],
"syndicationTargets": [
{
"adcpAgentId": "<string>",
"usesTransformedCatalog": true,
"requiresCreativeAssembly": true,
"creativeAgentId": "<string>",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"execution": {
"executionId": "<string>",
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"steps": [
{
"stepId": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAssetKey": "<string>",
"campaignGroupKey": "<string>",
"error": "<string>"
}
],
"creativeGenerationRequests": [
{
"requestId": "<string>",
"creativeAssetKey": "<string>",
"prompt": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAgentId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Execute catalog activation plan
Execute a saved or newly built catalog activation plan, creating downstream campaign, creative-generation, and syndication jobs.
POST
/
advertisers
/
{advertiserId}
/
catalogs
/
{catalogId}
/
activation-plan
/
execute
Execute catalog activation plan
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "<string>",
"adcpAgentIds": [],
"dryRun": false
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute"
payload = {
"planId": "<string>",
"adcpAgentIds": [],
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({planId: '<string>', adcpAgentIds: [], dryRun: false})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/activation-plan/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"plan": {
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"planHash": "<string>",
"itemCount": 4503599627370495,
"campaignGroups": [
{
"key": "<string>",
"name": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495,
"budget": {
"amount": 1,
"currency": "<string>"
}
}
],
"creativeAssets": [
{
"key": "<string>",
"prompt": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495
}
],
"syndicationTargets": [
{
"adcpAgentId": "<string>",
"usesTransformedCatalog": true,
"requiresCreativeAssembly": true,
"creativeAgentId": "<string>",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"execution": {
"executionId": "<string>",
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"steps": [
{
"stepId": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAssetKey": "<string>",
"campaignGroupKey": "<string>",
"error": "<string>"
}
],
"creativeGenerationRequests": [
{
"requestId": "<string>",
"creativeAssetKey": "<string>",
"prompt": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAgentId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Advertiser ID
Minimum string length:
1Buyer-assigned catalog_id or platform catalog id returned by list catalogs
Minimum string length:
1Body
application/json
Optional saved activation plan id. If omitted, the latest saved plan is used, or a plan is created from the active transform.
Minimum string length:
1Optional seller agents to evaluate/execute. If omitted, enabled catalog syndication targets are used.
Minimum string length:
1When true, build and return the execution plan without creating durable downstream jobs.
⌘I